<?php
session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }
?>
<div class="big_topics bor_top round3 FFF hr">
  
       <div class="wrap_user_r">
<table border="0" cellpadding="0" cellspacing="0" id="tables" style="width: 761px;border: 1px solid rgb(224, 224, 224);margin-left: 0px;">
<tbody>
</tbody><thead>
<tr>
<td align="left" style="padding-left:10px;"><img src="/img/vn.png" align="left" style="margin-top: -1px;margin-right: 10px;" width="20px">Администрация I-ESHOP рекоммендует хостинг провайдера TIMEWEB</td>
 <td align="center"><a href="http://timeweb.com/ru/?i=30550&a=138" target="_blank" class="button -green -cash" style="padding: 5px 15px 5px;">Регистрация!</a></td>
</tr>
</thead>
</table>

<div class="top_games_small">Ваши купленные товары:</div>
<table class="tabpayments">
    <thead>
        <th>Товар</th>
        <th>Дата и время</th>
        <th>Скачать</th>
    </thead>
     <?
       $email = filter_var($config_user['email'], FILTER_SANITIZE_EMAIL);
       $sql = $pdo->Query("SELECT tovar, load_url, data FROM php_buy WHERE email = '$email' ORDER BY data DESC LIMIT 15");
      while($payments_row = $sql->Fetch()) {


      /*---формируем дату выплат---*/
        $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );

        if ( date( 'd.m.Y', $payments_row['data'] ) == date( 'd.m.Y', time() ) ) {
            $pay_time = 'сегодня в ' . date( 'H:i', $payments_row['data'] );
        } else
        if ( date( 'd.m.Y', $payments_row['data'] ) == date( 'd.m.Y', time() - 86400 ) ) {
            $pay_time = 'вчера в ' . date( 'H:i', $payments_row['data'] );
        } else {
            $pay_time = ( int ) date( 'd', $payments_row['data'] ) . ' ' . $month[( int ) date( 'm', $payments_row['data'] ) - 1] . ' ' . date( 'Y', $payments_row['data'] )  . ' в ' . date( 'H:i', $payments_row['data'] );
        }
        mb_internal_encoding("UTF-8");
        $string = mb_substr($payments_row['tovar'], 0, 50);
        ?>
         <tr>
            <td><?=$string?>...</td>
            <td><?=$pay_time?></td>
            <td><a href="<?=ROOT?>/load/<?=$payments_row['load_url']?>">скачать</a></td>
        </tr>
      <?
      }
      ?>
 </table>
  </div>
 </div>
<?}?>